LOCALSEARCH-RESET(1)

NAME
localsearch-reset - Erase the indexed data

SYNOPSIS

localsearch reset [--filesystem] [--file FILE]

DESCRIPTION

The reset command will change either your configuration or index irreversibly and should be used with care. Other than tags, actual data (e.g. files) should not be affected by this command.

The "index" is a link between your content (either locally or remotely) and how it can be found quickly using a number of different queries. Under the hood, this is done using a database.

Removing all data and starting again from the beginning with an empty data set (which is a common use of this command) will make LocalSearch behave as if it was just installed.

OPTIONS

-s, --filesystem
    Removes indexed filesystem data. The indexer will automatically re-create its cache from the filesystem when it restarts. This option is the default if no arguments are given.

-f, --file FILE
    Resets all indexed information about FILE, works recursively for directories. Nothing will be done if FILE is not currently indexed. After deletion, a request to reindex this data will be immediately issued.

SEE ALSO

localsearch-daemon(1). localsearch-3(1).